FROM docker.platomix.net:10000/module/openjdk:8-arm64v8

MAINTAINER platomix

ARG JAR_FILE

ENV JAVA_OPTS="-Xms1g -Xmx1g"
ENV SPRINGBOOT_PARAMS="--spring.profiles.active=docker"

ENV TZ=Asia/Shanghai
RUN ln -snf /usr/share/zoneinfo/$TZ /etc/localtime && echo $TZ > /etc/timezone

COPY target/${JAR_FILE} /app.jar

#自启动配置
ENTRYPOINT java -server -XX:+PrintGC -XX:+PrintGCDetails -XX:+PrintGCTimeStamps -XX:+PrintGCDateStamps -Djava.security.egd=file:/dev/./urandom ${JAVA_OPTS} -jar /app.jar ${SPRINGBOOT_PARAMS}